@extends('layouts.idara.panel')


@section('content')

<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.3/jquery.min.js" integrity="sha512-STof4xm1wgkfm7heWqFJVn58Hm3EtS31XFaagaa8VMReCXAkQnJZ+jEy8PCC/iT18dFy95WcExNHFTqLyp72eQ==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>

<script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-toggle/2.2.2/js/bootstrap-toggle.min.js" integrity="sha512-F636MAkMAhtTplahL9F6KmTfxTmYcAcjcCkyu0f0voT3N/6vzAuJ4Num55a0gEJ+hRLHhdz3vDvZpf6kqgEa5w==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>

<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-toggle/2.2.2/css/bootstrap-toggle.min.css" integrity="sha512-hievggED+/IcfxhYRSr4Auo1jbiOczpqpLZwfTVL/6hFACdbI3WQ8S9NCX50gsM9QVE+zLk/8wb9TlgriFbX+Q==" crossorigin="anonymous" referrerpolicy="no-referrer" />
@include('backend.partials.import')


<div class="container">
    <section style="margin-bottom: 44px;">
        <div class="card">
            <div class="card-header">
                Vos catégories
            </div>
            <div class="card-body">

                
                <a href="{{route('promotion.add')}}" class="btn btn-primary">+ Ajouter un produit</a>
                <a href="{{route('promotionPack.add')}}" class="btn btn-primary">+ Ajouter un pack</a>


              
                <a href="javascript:window.location.href=window.location.href" class="btn btn-secondary"><i class="fa-solid fa-arrows-rotate"></i>Actualiser</a>




            </div>
        </div>
    </section>



    <div class="card">
            <div class="card-header">
               Catégories
            </div>
            <div class="card-body">


                <div class="table-responsive">
                    <table class="table table-bordered">
                        <thead>
                            <tr>
                                <th scope="col">Promotion</th>
                                <th scope="col">Debut</th>
                                <th scope="col">Fin</th>
                                

                                <th scope="col">Date</th>

                                <th scope="col">Action</th>

                            </tr>
                        </thead>
                        <tbody>
                        @foreach($articles as $article)

                            <tr>
                                <th scope="row">

                                <a class="title" href="{{ route('promotion.show',['id'=>$article]) }}" >{{$article->titre}}</a>


                                </th>
                                <th scope="row">

                                            {{$article->debut}}

                                            </th>
                                        <th scope="row">

                                        {{$article->fin}}

                                        </th>
                                <th scope="row">

                                    {{$article->created_at}}

                                </th>

                                <th scope="row" class="buttonOffOut">

                                    <div>
                                        <form action="{{url('promotion/'.$article->id)}}" method="post">

                                            @csrf

                                            <input data-id="{{$article->id}}" class="toggle-class" type="checkbox" data-onstyle="success" data-offstyle="danger" data-toggle="toggle" data-on="✔" data-off="⊘" {{ $article->etat ? 'checked' : '' }}>
                         

                                            <Tooltip title="Voir Plus"> <a href="{{ route('promotion.show',['id'=>$article]) }}" class="btn btn-xs btn-primary"><i class="fa fa-sign-out" aria-hidden="true"></i></a></Tooltip>



                                            <input name="_method" type="hidden" value="DELETE">
                                            <Tooltip title="Supprimer"> <button type="submit" class="btn btn-xs btn-danger btn-flat show_confirm" data-toggle="tooltip" ref="{{ url('produit/'.$article->id) }}"><i class="fa-solid fa-trash" aria-hidden="true"></i></button></Tooltip>


                                        </form>



                                    </div>
                                </th>
                            </tr>


                            @endforeach

                        </tbody>
                    </table>
                    <div>

                    </div>
                </div>
    </section>

    
</div>


<script src="https://cdnjs.cloudflare.com/ajax/libs/sweetalert/2.1.2/sweetalert.min.js"></script>
<script type="text/javascript">
    $('.show_confirm').click(function(event) {

        var form = $(this).closest("form");
        var name = $(this).data("name");
        event.preventDefault();
        swal({
                title: `Are you sure you want to delete this record?`
                , text: "If you delete this, it will be gone forever."
                , icon: "warning"
                , buttons: true
                , dangerMode: true
            , })
            .then((willDelete) => {
                if (willDelete) {
                    form.submit();
                }
            });
    });

   
</script>
<script>
    $(function() {
        $('.toggle-class').change(function() {
            var etat = $(this).prop('checked') == true ? 1 : 0;
            var Id = $(this).data('id');

            $.ajax({
                type: "GET"
                , dataType: "json"
                , url: '/changeStatusPromotion'
                , data: {
                    'etat': etat
                    , 'Id': Id
                }
                , success: function(data) {
                    console.log(data.success)
                }
            });
        })
    });
    $(function() {
        $('.toggle-class-home').change(function() {
            var home = $(this).prop('checked') == true ? 1 : 0;
            var Id = $(this).data('id');

            $.ajax({
                type: "GET"
                , dataType: "json"
                , url: '/changeStatusProduitHome'
                , data: {
                    'home': home
                    , 'Id': Id
                }
                , success: function(data) {
                    console.log(data.success)
                }
            });
        })
    });

</script>

@endsection
